* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    color: #333333;
}

body {
    text-align: left;
 
    min-height: 100vh;
    text-shadow: 0 0.02em rgb(0 24 37 / 10%);
    font-family: Roboto, sans-serif;
    font-weight: 400;
    background-color: #000;
}

a {
    text-decoration: none;
    word-wrap: break-word;
}

li,
ul li {
    list-style: none;
}

#content_body {
    display: block;
    max-width: 1440px;
    width: 100%;
    margin: 0 auto;
    min-height: 100vh;
}

#page_content {
    display: block;
    position: relative;
    width: 100%;
    overflow: hidden;
}

#page_header {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding: 0 0px;
    margin-bottom: 4px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    background-color: #000;
    position: relative;
}

#page_header a {
    display: inline-block;
}
.header__inner {
    align-items: center;
    justify-content: space-between;
    display: flex;
    width: 100%;
    padding: 0 5px;
}
#logo {
}
.search {
    display: flex;
}
.search__img img {
    max-width: 25px;
}
#logo a img {
    max-height: 40px;
    width: auto;
    display: block;
}

#navi_button {
    place-items: center;
}

#navi_button label {
    display: flex;
    flex-direction: column;
    width: 15px;
    cursor: pointer;
}

#navi_button:after {
    content: "Открыть меню";
    position: relative;
    display: inline-block;
    color: #f0f0f0;
    margin-left: 8px;
    font-weight: 600;
    font-size: 14px;
}

#navi_button {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #f0f0f0;
    height: 32px;
    padding: 0 10px;
    margin: 0 auto;
    position: static;
}

#navi_button label .m_line {
    background: #f0f0f0;
    border-radius: 10px;
    height: 2px;
    margin: 0.08em 0;
    background-color: #f0f0f0;
}

#navi_button,
#page_header {
    display: flex;
    position: relative;
    justify-items: center;
}

#navi_button {
    background: #212125;
    width: 100%;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.m_line:first-of-type,
.m_line:nth-of-type(3) {
    width: 100%;
}

.m_line:nth-of-type(2) {
    width: 100%;
}

#navi_button input[type="checkbox"] {
    display: none;
}

input[type="checkbox"]:checked ~ .m_line:first-of-type {
    transform-origin: bottom;
    width: 50%;
    transform: rotatez(45deg) translate(2px, 0px);
}

input[type="checkbox"]:checked ~ .m_line:nth-of-type(2) {
    transform-origin: top;
    transform: rotatez(-45deg);
}

input[type="checkbox"]:checked ~ .m_line:nth-of-type(3) {
    transform-origin: bottom;
    width: 50%;
    transform: translate(7px, -3px) rotatez(45deg);
}

#menu_items,
#menu_overlay {
    position: absolute;
    left: 0;
    z-index: 10;
    top: 100%;
}

#menu_items,
#menu_overlay.open_menu {
    display: block;
}

#menu_items {
    margin: 1px;
    width: 250px;
    transform: translateX(-100%);
    border-radius: 3px;
    overflow: hidden;
    background-color: #ffffff;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.15);
    text-align: left;
    padding: 10px 20px;
}

#menu_items.open_menu {
    transform: translateX(0);
}

.menu_item {
    display: inline-block;
    position: relative;
    padding: 7px 0;
    width: 100%;
}

.menu_item:not(:last-child):after {
    content: "";
    position: absolute;
    bottom: 0;
    height: 1px;
    left: 0;
    background-color: #e0e0e0;
    width: 50%;
}

.menu_item a {
    color: #333333;
    display: inline-block;
    font-size: 14px;
    font-weight: bolder;
}

.menu_item a.active {
    color: #fc0000;
}

#menu_overlay {
    height: 100vh;
    width: 100vw;
    background: rgba(0, 0, 0, 0.1);
    display: none;
}

#sort_filters {
    display: block;
    width: 100%;
    text-align: right;
    padding: 0 0px;
    margin-bottom: 10px;
    overflow: hidden;
}

.sort_item {
    display: inline-block;
    font-size: 13px;
    border-radius: 2px;
    width: 48%;
    text-align: center;
    border: 1px solid #e0e0e0;
    background-color: #ffffff;
}

.sort_item:first-child {
    margin-right: 4px;
}

.sort_item:first-child a:before {
    content: "";
    display: inline-block;
    height: 18px;
    width: 24px;
    background-image: url(./img/clock.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    top: 4px;
    position: relative;
}

.sort_item:last-child a:before {
    content: "";
    display: inline-block;
    height: 18px;
    width: 24px;
    background-image: url(./img/fire.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    top: 4px;
    position: relative;
}

#sort_items {
    white-space: nowrap;
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.sort_item a {
    color: #333333;
    font-weight: bolder;
    text-decoration: none;
    display: block;
    width: 100%;
    line-height: 25px;
}

.desc_wr,
.thumb_desc,
.thumbs li {
    overflow: hidden;
}

.thumbs {
    justify-content: center;
    align-content: center;
    grid-template-rows: auto;
    grid-template-columns: repeat(3, minmax(10%, 1fr));
    grid-row-gap: 10px;
    grid-column-gap: 10px;
    padding: 2px;
    display: grid;
    width: 100%;
    position: relative;
}

.video_player {
    position: absolute;
    width: 100%;
    height: 100%;
}

.desc_wr,
.img_wr,
.thumbs li {
    position: relative;
}

.thumbs.small_th {
    grid-template-columns: repeat(4, minmax(10%, 1fr));
}

.thumbs li {
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    border-radius: 3px;
    background-color: #101010;
}

.img_wr {
    grid-area: main;
    display: grid;
}

.desc_wr,
.img_wr img,
.thumb_desc {
    display: block;
    width: 100%;
}

.img_wr img {
    height: auto;
}

.desc_wr {
    grid-area: footer;
}
.description{
    color: #e8e8e8;
}
.thumb_desc {
    text-align: left;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-size: 14px;
    padding: 8px;
    color: #e8e8e8;
}

.th_icon {
    position: absolute;
    height: 100%;
    width: 100%;
    right: 0;
}

.th_duration,
.th_quality {
    position: absolute;
    right: 5px;
    font-size: 12px;
    color: #f9f9f9;
    padding: 3px 7px;
    border-radius: 2px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
    font-weight: bolder;
}

.th_duration {
    bottom: 5px;
    background-color: rgba(0, 0, 0, 0.6);
}

.th_quality {
    top: 5px;
    background-color: rgb(252 0 0 / 75%);
}

#page_navi a,
#page_navi_vr {
    display: inline-block;
    position: relative;
}

#page_navi {
    display: block;
    width: 100%;
    text-align: center;
    margin: 20px 0;
}

#page_navi a {
    text-align: center;
    color: #333333;
    padding: 8px 10px;
    margin: 0 5px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    border-radius: 3px;
    font-size: 14px;
    font-weight: bolder;
    background-color: #ffffff;
}

#page_navi a.active {
    color: #fc0000;
}

a#scrol_pagination_bt {
    padding: 10px 34px;
    border-radius: 3px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.15);
    background-color: #fe474f;
    color: #fff;
}

#page_footer {
    display: block;
    text-align: center;
    font-size: 13px;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.1);
    padding: 20px 10px;
    font-weight: bolder;
    color: #666666;
    margin-top: 50px;
    background-color: #ffffff;
}

#full_story_news_block {
    background-color: #ffffff;
}

@media (min-width: 768px) and (max-width: 1024px) {
    .thumbs {
        grid-template-columns: repeat(2, minmax(10%, 1fr));
    }

    .thumbs.small_th {
        grid-template-columns: repeat(3, minmax(10%, 1fr));
    }
}

@media (min-width: 481px) and (max-width: 767px) {
    .thumbs {
        grid-template-columns: repeat(2, minmax(10%, 1fr));
    }

    .thumbs.small_th {
        grid-template-columns: repeat(3, minmax(10%, 1fr));
    }
}

@media (min-width: 100px) and (max-width: 480px) {
    .thumbs {
        grid-template-columns: repeat(1, minmax(10%, 1fr));
    }

    .thumbs.small_th {
        grid-template-columns: repeat(2, minmax(10%, 1fr));
    }
}
